package com.ruoyi.project.monitor.service;

import java.util.List;
import com.ruoyi.project.monitor.domain.TPfd;

/**
 * PFD管理Service接口
 * 
 * @author ssy
 * @date 2024-06-24
 */
public interface ITPfdService 
{
    /**
     * 查询PFD管理
     * 
     * @param id PFD管理ID
     * @return PFD管理
     */
    public TPfd selectTPfdById(Long id);

    /**
     * 查询PFD管理
     *
     * @param code PFD管理编号
     * @return PFD管理
     */
    public TPfd selectTPfdByCode(String code);

    /**
     * 查询PFD管理列表
     * 
     * @param tPfd PFD管理
     * @return PFD管理集合
     */
    public List<TPfd> selectTPfdList(TPfd tPfd);

    /**
     * 新增PFD管理
     * 
     * @param tPfd PFD管理
     * @return 结果
     */
    public int insertTPfd(TPfd tPfd);

    /**
     * 修改PFD管理
     * 
     * @param tPfd PFD管理
     * @return 结果
     */
    public int updateTPfd(TPfd tPfd);

    /**
     * 批量删除PFD管理
     * 
     * @param ids 需要删除的PFD管理ID
     * @return 结果
     */
    public int deleteTPfdByIds(Long[] ids);

    /**
     * 删除PFD管理信息
     * 
     * @param id PFD管理ID
     * @return 结果
     */
    public int deleteTPfdById(Long id);
}
